<app-loader [message]="loaderMessage" [isLoading]="isLoading"></app-loader>

<section class="contact-us hiw-main" id="contact-us-section">
    <div class="container-fluid">
        <div class="contact-form-wrapper">
            <h2 class="headeing">Contact Us<span class="devider"></span></h2>
            <div class="row">
                <div class="col-lg-8 col-sm-7">
                    <form class="contact-form" form role="form" [formGroup]="contactForm" (ngSubmit)="onSubmit(contactForm.value)" novalidate> 
                        <div class="form-group">
                            <input [formControl]="contactForm.controls['fullName']" maxlength="50" type="text" class="form-control" id="fullname" placeholder="Full name" required>
                            <span class="error-msg-text" *ngIf="!contactForm.controls['fullName'].valid && contactForm.controls['fullName'].touched">
                                    <i class="fa fa-exclamation-circle"></i> 
                                    Please enter full name
                            </span>
                        </div>
                        <div class="form-group">
                            <input type="email" [formControl]="contactForm.controls['email']" maxlength="30" class="form-control" id="email" placeholder="Email Address" required>                          
                            <span class="error-msg-text" *ngIf="!contactForm.controls['email'].valid && contactForm.controls['email'].touched">
                                <i class="fa fa-exclamation-circle"></i> 
                                Please provide valid email address
                            </span>
                        </div>
                        <div class="form-group">
                            <textarea class="form-control" [formControl]="contactForm.controls['message']" maxlength="300" id="inputmessage" placeholder="Message"></textarea>
                            <span class="error-msg-text" *ngIf="!contactForm.controls['message'].valid && contactForm.controls['message'].touched">
                                    <i class="fa fa-exclamation-circle"></i> 
                                    Please enter message
                            </span>
                        </div>
                        <div>
                            <button type="submit" [disabled]="!contactForm.valid" class="btn btn-primary btn-solid-blue" id="submit2">Send Message</button>
                        </div>
                    </form> 
                </div>
                <div class="col-lg-4 col-sm-5">
                    <div class="contact-detail">
                        <h3>Galaxy Weblinks Inc.</h3>
                        <p>1 Broadway, 14th Floor Cambridge MA - 02142, USA</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>